> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/partners/start-an-onboarding-for-a-partner.md).

# Start an onboarding for a partner.

Move the given partner in the specified onboarding pipeline and optionally start at a given stage.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api"]}],"components":{"securitySchemes":{},"schemas":{"PartnerOnboardRequestDto":{"type":"object","properties":{"onboardingPipelineId":{"type":"integer","description":"The ID of the onboarding pipeline the partner must start.","format":"int32"},"onboardingStageId":{"type":"integer","description":"The optional ID of the onboarding stage in the specified pipeline. If empty the partner starts the onboarding in the first stage.","format":"int32","nullable":true}},"additionalProperties":false},"PartnerDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"groupId":{"type":"integer","format":"int32","nullable":true},"onboardingStatus":{"$ref":"#/components/schemas/OnboardingStatus"},"status":{"$ref":"#/components/schemas/PartnerStatus"},"source":{"$ref":"#/components/schemas/PartnerSource"},"company":{"$ref":"#/components/schemas/CompanyDto"},"mainContact":{"$ref":"#/components/schemas/UserPartnerDto"},"onboardingStage":{"$ref":"#/components/schemas/OnboardingStageDto"},"onboardingStages":{"type":"array","items":{"$ref":"#/components/schemas/OnboardingStageDto"},"nullable":true},"levels":{"type":"array","items":{"$ref":"#/components/schemas/ProgramLevelPartialDto"},"nullable":true},"sinceDate":{"type":"string","format":"date-time","nullable":true},"partnerTypeId":{"type":"integer","format":"int32","nullable":true},"partnerTypeName":{"type":"string","nullable":true},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true},"ownerUserId":{"type":"integer","format":"int32","nullable":true},"owner":{"$ref":"#/components/schemas/UserDto"},"referralCode":{"type":"string","nullable":true},"paypalEmail":{"type":"string","nullable":true},"currency":{"type":"string","nullable":true},"payoutProvider":{"$ref":"#/components/schemas/PayoutProviderDto"},"language":{"type":"string","nullable":true}},"additionalProperties":false},"OnboardingStatus":{"enum":["Unknown","NotOnboarded","InProgress","Completed"],"type":"string"},"PartnerStatus":{"enum":["Unknown","Active","Prospect","Rejected","Applicant","Inactive","Onboarding"],"type":"string"},"PartnerSource":{"enum":["Unknown","ManuallyAdded","SignupForm"],"type":"string"},"CompanyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"websiteUrls":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"UserPartnerDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"jobTitle":{"type":"string","nullable":true},"phoneNumber":{"type":"string","nullable":true},"linkedInProfileUrl":{"type":"string","nullable":true},"creationDate":{"type":"string","format":"date-time"},"isMainContact":{"type":"boolean"}},"additionalProperties":false},"OnboardingStageDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"order":{"type":"integer","format":"int32"},"onboardingPipelineId":{"type":"integer","format":"int32"},"onboardingPipelineName":{"type":"string","nullable":true}},"additionalProperties":false},"ProgramLevelPartialDto":{"type":"object","properties":{"programLevelId":{"type":"integer","format":"int32"},"programLevelName":{"type":"string","nullable":true},"programId":{"type":"integer","format":"int32"},"programName":{"type":"string","nullable":true}},"additionalProperties":false},"UserDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true}},"additionalProperties":false},"PayoutProviderDto":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/PayoutProviderType"},"details":{"$ref":"#/components/schemas/PayoutProviderDetailsDto"}},"additionalProperties":false},"PayoutProviderType":{"enum":["Unknown","Paypal","Wise","Stripe","Payoneer","Chargebee"],"type":"string"},"PayoutProviderDetailsDto":{"type":"object","additionalProperties":false}}},"paths":{"/v3/partners/{id}/onboard":{"post":{"tags":["Partners"],"summary":"Start an onboarding for a partner.","description":"Move the given partner in the specified onboarding pipeline and optionally start at a given stage.","parameters":[{"name":"id","in":"path","description":"ID of the partner to onboard","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PartnerOnboardRequestDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/PartnerOnboardRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/PartnerOnboardRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PartnerOnboardRequestDto"}}}},"responses":{"200":{"description":"Partner onboarded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDto"}}}},"404":{"description":"Partner not found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/partners/start-an-onboarding-for-a-partner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
